/*  Copyright (C) 1994 Queen Mary and Westfield College, University of London

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    A copy of the GNU General Public License may be found in
    doc/COPYING in the source tree of this programm.

    This file was written by: Franz Gerschwiler.(goblin@dcs.qmw.ac.uk)

 ****

   modified by: p.hlstede	(peter@calvados.chemie.uni-bremen.de)

   - I just tried to reduce the globals a bit

							06.09.1997
*/

#ifndef Gloe_GLOBALS
#define Gloe_GLOBALS

typedef struct {
   char   ext[16];	/* filename extension */
   int    ww;		/* wordwrap flag */
   int    ai;		/* autoindent flag */
} ExtMode;

extern XtAppContext	app_context;

/* MAIN INTERFACE WIDGETS */
/**************************/
extern Widget	toplevel, text_canvas, statusBar;

/* TOOL BAR WIDGETS */
/***************************/
extern Widget	jumpMenuText,
		undoMenuPB,redoMenuPB,replaceMenuPB,
		searchMenuText,replaceMenuText;

/**********/
/* PopUps */
/**********/

/* CONFIGURATION POPUP*/
/**********************/
extern Widget	configPopUp,
		autosavetimeText,printerText,
		autosaveTB, backupTB, autoindTB, wordwrapTB, fileboxTB;

/* HELP POPUP */
/**************/
extern Widget 	helpPopUp,
		helpLI,helpText;

/* HARD WORKING VARIABLES */
/**************************/
extern int	 changes_counter;
extern char     *GloePath;

/* Variables describing the state of the environment */
/***************************************************************************/
extern Boolean	 SelectedOnly;
extern Boolean   AutoSavePossible;
extern int	 AutoSaveTime;
extern Boolean	 AutoSave;
extern Boolean	 AutoBackup;
extern Boolean	 AutoIndent;
extern Boolean	 WordWrap;
extern Boolean	 FileBox;
extern char 	*DefaultPrinter;
extern char 	*FileName;
extern ExtMode  *extmode;
extern int       extnum;
extern Cursor	 MainCursor;
extern Cursor	 TextCursor;
extern Cursor	 TimeCursor;

#endif
